#include <stdio.h>
#include <stdlib.h>
#include <upc.h>

extern void env_test(const char *varname);

int main(int argc, char**argv) {
  const char *varname = "MYVAR";

  printf("Environment lookup test.  Variable name is %s.\n", varname);

  printf("main: %s\n", getenv(varname));
  env_test(varname);

  printf("\nManually propagating variable from upc main\n");
  setenv(varname, getenv(varname), 1);

  printf("main: %s\n", getenv(varname));
  env_test(varname);

  return 0;
}
